import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * This is the driver class for the MVC lab.
 * It creates and initializes the variables for the model, views and controller. 
 * */
public class Lab7Driver {
	private Model model;
	private MasterListView masterView = new MasterListView();
	private SubListView subView = new SubListView();
	private Controller controller = new Controller();

	/**
	 * This method initializes the variables for the model, views, and controller.
	 * It sets the model for the views and controller and also sets the view in the
	 * controller.
	 * <P>
	 * 
	 * @param filename        String  Name of the filename to be read.
	 */
	public Lab7Driver(String filename) throws FileNotFoundException, IOException {
		model = new Model();
		model.readFile(filename);
		masterView.setModel(model);
		subView.setModel(model);
		controller.setModel(model);
		controller.setView(masterView);
	}

	/**
	 * This is the main method of the program.  It calls the constructor.  
	 * <P>
	 * 
	 * @param args 	Command line arguments. This program requires a filename as the first argument.
	 */
	public static void main(String[] args) throws FileNotFoundException, IOException {
		if (args.length > 0) {
			new Lab7Driver(args[0]);
		}
		else {
			System.out.println("Useage: Please specify file name as argument.");
		}
	}
}