
/**Project #2
 * CS 2334, Section 010
 * 2/19/2009
 * <P>
 * The StreetAddress class stores a contact's address, city, and state, and zip as Strings
 * and provides methods to compare one Address object with another Address object.
 *  </P>
 * @version 1.0
 */
public class StreetAddress {
	/** Stores the street number. */
	private String streetNumber;
	
	/** Stores the street name. */
	private String streetName;
	
	/** Stores the city. */
	private String city; 
	
	/** Stores the state. */
	private String state;
	
	/** Stores the zipCode as String. */
	private String zipCode;
	
	/** Default (no-arg) constructor */
	StreetAddress(){
		this("0000", "Dummy St.", "Dummy City", "AA", "00000");
	}
	
	/**
	 * This constructor takes the street number, street name, city, state, and zipCode as parameters.
	 * @param streetNumber		street number of the contact.
	 * @param streetName		street name of the contact.
	 * @param city				city of the contact.
	 * @param state				state of the contact.
	 * @param zipCode			zipCode of the contact.
	 */
	StreetAddress(String streetNumber, String streetName, String city, String state, String zipCode){
		this.streetNumber = streetNumber;
		this.streetName = streetName;
		this.city = city;
		this.state = state;
		this.zipCode = zipCode;
	}
	
	/**
	 * This is the accessor method for the address variable.
	 * @return String		Returns the address of the contact.
	 */
	public String getStreetNumber(){
		return streetNumber;
	}
	
	/**
	 * This is the accessor method for the street name variable.
	 * @return  String		Returns the street name of the contact
	 */
	public String getStreetName(){
		return streetName;
	}
	
	/**
	 * This is the accessor method for the city variable.
	 * @return String		Returns the city of the contact.
	 */
	public String getCity(){
		return city;
	}
	
	/**
	 * This is the accessor method for the state variable.
	 * @return String		Returns the state of the contact.
	 */
	public String getState(){
		return state;
	}
	
	/**
	 * This is the accessor method for the zipCode variable.
	 * @return String		Returns the zip code of the contact.
	 */
	public String getZipCode(){
		return zipCode;
	}
	
	
	/**
	 * This is the setter method for the address variable.
	 * @param streetNumber		sets the address of the contact.
	 */
	public void setStreetNumber(String streetNumber){
		 this.streetNumber = streetNumber;
	}
	
	/**
	 * This is the setter method for the street name variable.
	 * @param  streetName		sets the street name of the contact
	 */
	public void setStreetName(String streetName){
		this.streetName = streetName;
	}
	
	/**
	 * This is the setter method for the city variable.
	 * @param city		sets the city of the contact.
	 */
	public void setCity(String city){
		this.city = city;
	}
	
	/**
	 * This is the setter method for the state variable.
	 * @param state		sets the state of the contact.
	 */
	public void setState(String state){
		this.state = state;
	}
	
	/**
	 * This is the setter method for the zipCode variable.
	 * @param zipCode		set the zipcode of the contact.
	 */
	public void setZipCode(String zipCode){
		this.zipCode = zipCode;
	}
	
	/**
	 * toString returns a String in the format: "address, city, state  zipcode".
	 * @see java.lang.Object#toString()
	 */

	public String toString(){
		return  streetNumber + " " + streetName + ", " + city + ", " + state + "  " + zipCode;
	}
}