import java.awt.BorderLayout;
import java.awt.event.*;
import javax.swing.*;
/**
 * This class represents the sublist view for the MVC lab.
 * It displays all the attribute of contact that selected by a user 
 * in the master view.
 * */

public class SubListView extends JFrame implements ActionListener {
	/** Needs a serialVersionUID because the class is Serializable */
	private static final long serialVersionUID = 1L;
	
	//The model for this view.
	private Model model;
	
	//The GUI elements for this view.
	private JList contactJList = new JList();
	private JScrollPane contactJScrollPane = new JScrollPane(contactJList);
	
	/** The default constructor*/
	SubListView() {
		setTitle("Full Information About Contacts");
		contactJList.setSelectionBackground(contactJList.getBackground());
		add(contactJScrollPane, BorderLayout.CENTER);
	}
	
	public void setModel(Model model) {
		/** Set a model */
		this.model = model;
		if (this.model != null){
			// Register the view as listener for the model

		}
	}
	
	/**
	 * ActionListener for the method.
	 * <P>
	 * @param      actionEvent     an event				
	 */
	public void actionPerformed(ActionEvent actionEvent) {
		if (actionEvent.getActionCommand().equals("subList")) {
			contactJList.setListData(model.getSubList().toArray());
			pack();
			setVisible(true);
		}
	}
}